% !TEX TS-program = pdflatex
% !TeX encoding = UTF-8
% !TeX spellcheck = en_GB

\documentclass[aspectratio=43]{beamer}
% use this instead for 16:9 aspect ratio:
%\documentclass[aspectratio=169]{beamer}
% supported aspect ratios  1610  169 149 54 43 (default) 32
%

\usepackage[english]{babel} 
\usepackage[utf8]{inputenc}
\usepackage{todonotes}
\usepackage[T1]{fontenc} 	
\usetheme{ETHbeamer}

\colorlet{ETHcolor1}{ETHc}
\colorlet{ETHcolor2}{ETHc}

\author{L. Bieri \and L. Gehri \and D. Portenier \and I. Boschung}

\title{System Presentation Group 14}

\date{2021-12-23}

% uncomment if you do not want to use a department logo
%\deplogofalse


\begin{document}

\titleframe

\begin{frame}{Overview}
\begin{itemize}
    \item System Overview
    \item Main / CA Server
    \item Security Measures
    \item Easy Backdoor
    \item Hard Backdoor
\end{itemize}
    
\end{frame}

%%%%

\begin{frame}{System Overview}
\begin{columns}[T]
    \begin{column}{.5\textwidth}
        Main Server:
        \begin{itemize}
            \item CA Frontend
            \item CA Backend
            \item SQL Database
            \item Reverse Proxy

        \end{itemize}
        Backup Server:
        \begin{itemize}
            \item Stores backup data encrypted
        \end{itemize}
    \end{column}

    \begin{column}{.5\textwidth}
        \includegraphics[width=\textwidth]{Pictures/simpleWholesystem.drawio.png}
    \end{column}
\end{columns}

\end{frame}

%%%%


\begin{frame}{Main Server - outside View}
\begin{columns}[T]
    \begin{column}{.5\textwidth}
        Minimize Exposure
        \begin{itemize}
            \item Port 22 for SSH (Key only)
            \item Port 80 for HTTP (Redirect to 443)
            \item Port 443 for HTTPS
        \end{itemize}
    \end{column}
    \begin{column}{.5\textwidth}
        \includegraphics[width=\textwidth]{Pictures/Main_Server_exposure.png}
    \end{column}
\end{columns}
\end{frame}


\begin{frame}{Main Server - inside View}
\begin{columns}[T]
    \begin{column}{.5\textwidth}
        \begin{itemize}
            \item Containerized Services with Docker
            \item Minimize Privileges
            \item Traefik
            \item Isolated Network for Database
        \end{itemize}
    \end{column}
    \begin{column}{.5\textwidth}
        \includegraphics[width=\textwidth]{Pictures/separatet_arrows.png}
    \end{column}
\end{columns}
\end{frame}



\begin{frame}{Some of the security measures}
\begin{columns}[T]
    \begin{column}{1\textwidth}
        %Docker Containers:
        \begin{itemize}
            \item Compartmentalization by using docker containers.
            \item Use of TLS Client authentication.
            \item The backup of the private keys are instantly encrypted.
            \item Uninstall programs, install firewall
            \item Increase ssh security
        \end{itemize}
    \end{column}
\end{columns}
\end{frame}


% \begin{frame}{Risk analysis}
% \begin{columns}[T]
%     \begin{column}{1\textwidth}
%         %Docker Containers:
%         \begin{itemize}
%             \item Compartmentalization by using docker containers.
%             \item Use of TLS Client authentication.
%             \item The backup of the private keys are instantly encrypted.
%             \item Uninstall all unnecessary services on the operating systems.
%             \item Improve security of operating systems: Only ssh key authentication, automatic logout, fail2ban.
%         \end{itemize}
%     \end{column}
% \end{columns}
% \end{frame}

%%%%



\begin{frame}{Easy Backdoor}
\begin{columns}[T]
    \begin{column}{.5\textwidth}
        \begin{itemize}
            \item Swagger UI REST API documentation
            \item Two authorisation methods
            \begin{itemize}
                \item Session Token
                \item Valid UID in X-UID-Authorization Header
            \end{itemize}
        \end{itemize}
    \end{column}
    \begin{column}{.5\textwidth}
        \includegraphics[width=\textwidth]{Pictures/Available_auth.png}
    \end{column}
\end{columns}
\end{frame}



%%%%



\begin{frame}{Hard Backdoor}
Hand Crafted SSH Key
\begin{itemize}
    \item Generated from two adjacent primes
    \item Factorizable SSH Key (with e.g. \urlhttps{alpertron.com.ar/ECM.HTM})
    \item Public Key is delivered with Frontend
\end{itemize}
\end{frame}



\end{document}
